<?
   require('data.inc');
   require('util.inc');

   define("ALL_TXT",  "all.txt");
   define("TWO_HTML", "two.html");

   function compareRatings($first, $second)
   {
      $v1 = (float)$first->mRating;
      $v2 = (float)$second->mRating;

      return($v1 <= $v2);
   }

   function toHTML($titleOne,  $listOne, $titleTwo, $listTwo)
   {
      $headers = array("Rating", "Number Of Ratings", "Year", "Title");

      $tableOne = Util::makeTable($headers, $listOne, "  ");
      $tableTwo = Util::makeTable($headers, $listTwo, "  ");

      $html = <<< EOF
<!doctype html>
<html>
 <head><title>$titleOne / $titleTwo</title></head>
 <body>
 <h3>$titleOne</h3>
 <blockquote>
$tableOne
 </blockquote>
 <br><br>
 <h3>$titleTwo</h3>
 <blockquote>
$tableTwo
 </blockquote>
 </body>
</html>
EOF;

      return($html);
   }

   // ---------------------------------------
   // Script Begins Here
   // ---------------------------------------

   if(!Data::getAll(ALL_TXT, $entries, $errMsg))
      die($errMsg);

   $listOne = array();

   foreach($entries as $entry)
      if(preg_match("/godzilla/i", $entry->mTitle))
         $listOne[] = $entry;

   usort($listOne, "compareRatings");

   $titles = array(
      "Star Trek: The Motion Picture",
      "Star Trek II: The Wrath of Khan",
      "Star Trek III: The Search for Spock",
      "Star Trek IV: The Voyage Home",
      "Star Trek V: The Final Frontier",
      "Star Trek VI: The Undiscovered Country",
      "Star Trek: Generations",
      "Star Trek: First Contact",
      "Star Trek: Insurrection",
      "Star Trek: Nemesis"
   );

   $listTwo = array();

   foreach($entries as $entry)
      if(in_array($entry->mTitle, $titles))
         $listTwo[] = $entry;

   usort($listTwo, "compareRatings");

   if(($f = @fopen(TWO_HTML, "w")) == false)
      die("Could not open: " . TWO_HTML .  "\n");

   fprintf(
      $f,
      "%s\n",
      toHTML("Godzilla Movies", $listOne, "Star Trek Movies", $listTwo)
   );

   fclose($f);

   printf("Successfully wrote file: " . TWO_HTML . "\n");
?>
